Skip to main content
GET
/
v1
/
clicks
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/clicks/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/clicks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/clicks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "f7697ba9-0614-4077-b53f-53f8372b6cce",
  "object": "click",
  "anonymous_id": "f2584ac2-119c-4530-b0d5-9b572b9b39b0",
  "domain": "hyatt.example",
  "converted": false,
  "expires_at": 1785077817,
  "referrer": null,
  "url": "http://hyatt.example/lashell_ferry",
  "affiliation": "28a03134-9f19-4c84-95e4-7be794e63a76",
  "previous_click": null,
  "created_at": 1782485817,
  "updated_at": 1782485817
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

anonymous_id
string

The anonymous ID used for identifying a customer across multiple clicks.

converted
boolean

Whether or not this click is associated with any referrals.

domain
string

The domain of the click.

expires_at
integer

Time at which the click expires. Measured in seconds since the Unix epoch.

referrer
string | null

The referring URL that the customer came from.

url
string

The URL where the click was tracked.

affiliation

Expandable – The associated affiliation ID.

previous_click

Expandable – The associated click ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.